<html>
<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Shaastra Maps</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!--link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet"-->
  <link rel="stylesheet" type="text/css" media="screen" href="assets/static/css/materialize.min.css">
  <link rel="stylesheet" type="text/css" media="screen" href="assets/static/css/vis.min.css"/>
  <link rel="stylesheet" type="text/css" media="screen" href="assets/static/css/style.css"/>
  <style type="text/css">

  </style>
</head>
<body>
<nav class="red darken-4" role="navigation">
  <div class="nav-wrapper">
    <a href="#" data-activates="list_side_bar" class="button-collapse show-on-large"><i class="material-icons">☰</i></a>
    <a href="#" class="brand-logo center truncate">Shaastra Maps</a>
    <ul class="side-nav white" id="list_side_bar">
    <!--
        <li id="repo-set-item" class="black-text">
            <label for="repo-selector">set the repo first</label>
            <select id="repo-selector" name="repo" required>
            </select>
        </li>
    -->
        <li class="bold red darken-4 white-text"><span class="right" id="list-refresh-button"><i class="material-icons">⟳</i></span> List of Granthas</li>
        <li>
          <input type="text" name="list-search" placeholder="Search Granthas" accept-charset="UTF-8" id="list-search-input" class="black-text">
      </li>
        <li class="white grey-text" id="list-status"></li>
        <li class="white red-text" id="list-error-report"></li>
        <ul id="shaastra-list">
        </ul>
        <br>
    </ul>
  </div>
</nav>
<main>
    <div class="container">
        <div class="row">
            <div class="col s12 red darken-4 white-text" id="statusbar">
                <span class="right"><a href="#" id="refresh-button" class="white-text"><i class="material-icons">⟳</i><!--↻--></a></span>
                <p class="center-align" id="statusbar-status"> loading.....</p>
            </div>
        </div>
    </div>


  <div class="container1" id="content-area">

    <div class="row" id="search-row">
      <div class="col s12">
        <!--form method="get"-->
          <input type="text" name="search" placeholder="Search" accept-charset="UTF-8" id="search-input">
        <!--/form-->
      </div>

      <div class="col s12" id="search-results-container">
        <p class="" id="search-results-status">Search Results......</p>
        <ul class="" id="search-results-list"></ul>
      </div>

    </div>

    <div class="row" id="text-network-wrapper">
      <div class="col m6 shaastra-index-wrapper">
        <div class="card" id="si-card">
          <div class="card-content" id="si-card-content">
            <div id="shaastra-text"></div>
            <div id="padartha-phrases">
              <div id="padartha-tab-global-config">
                <p id="graph-type-config"  class="config-inline">
                  <label for="padartha-graph-type">Graph mode</label>
                  <select id="padartha-graph-type" name="graph-mode">
                    <option value="default" selected>Normal Traversal</option>
                    <option value="samanya-vishesha-tree">
                      Samanya Vishesha Tree
                    </option>
                  </select>
                </p>
                <p id="show-all-padarthas-graph-config" class="config-inline">
                
                  <input type="button" id="show-all-padartha-graph" name="show-all-padartha-graph" value="SHOW ALL" />
                </p>
              </div>
              <br>
              <div class="config-section" id="padartha-graph-config">
                <p id="depth-config" class="config-inline">
                  <label for="relation-depth">depth:</label>
                  <input type="number" id="relation-depth" name="depth"/>
                </p>
                <p id="traversal-criteria-config" class="config-inline">
                  <label for="traversal-criteria">traversal criteria: </label>
                  <input type="text" id="traversal-criteria" value="{}"/>
                </p>
              </div>
              <div class="config-section" id="sv-tree-config" style="display:none;">
                <p id="bound_phrase-config" class="config-inline">
                  <label for="bound_phrase">bound phrase to context: </label>
                  <input type="checkbox" id="bound_phrase" name="bound_phrase">
                </p><span> </span>
                <p id="same_book_config" class="config-inline">
                  <label for="same_book">same book: </label>
                  <input type="checkbox" checked id="same_book" name="same_book">
                </p><span> </span>
                <p id="unbounded_base_entities_config" class="config-inline">
                  <label for="unbounded_base_entities">include unbounded base entities: </label>
                  <input type="checkbox" id="unbounded_base_entities" name="unbounded_base_entities">
                </p><span> </span>
                <p id="super_cat_config" class="config-inline">
                  <label for="super_cat">include super catogories: </label>
                  <input type="checkbox" checked id="super_cat" name="super_cat">
                </p>
                <br>
              </div>
              <div id="padartha-list-wrapper">
                <p class="custom-title" id="padartha-list-title">Term definitions</p>
                <div id="padartha-list-div">
                  <ul id="padartha-list">
                    
                  </ul>
                </div>
              </div>
              <div id="padartha-graph-nodes">
                <p class="custom-title" id="padartha-graph-nodes-title"><span class="pg-list-tab" id="pg-list-tab0"> Samanya Vishesha tree</span> <span class="pg-list-tab" id="pg-list-tab1"> All entities in graph</span></p>
                <div id="padartha-graph-nodes-list-div">
                  <ul id="padartha-graph-nodes-list">
                    
                  </ul>
                  <div id="samanya-vishesha-tree"></div>
                </div>
              </div>
            </div>
            <div id="grantha-sections"></div>
          </div>
          <div class="card-tabs bottom" id="si-card-tabs">
            <ul class="tabs" id="si-card-tabs-list">
              <li class="tab card-tab-item si-card-tab" id="si-card-tab-padarthas"><a href="#padartha-phrases" class="active" id="si-card-tab-padarthas-link">Terms</a></li>
              <li class="tab card-tab-item si-card-tab" id="si-card-tab-vakyas"><a href="#shaastra-text">Vakyas</a></li>
              <li class="tab card-tab-item si-card-tab" id="si-card-tab-sections"><a href="#grantha-sections" class="">Sections</a></li>
            </ul>
          </div>
        </div>
      </div>
      <div class="col m6 network-wrapper">
        <div class="card" id="graph-card">
          <div class="card-content" id="graph-card-content">
            <p class="custom-title" id="graph-title">
              graph
            </p>
            <div class="mynetwork" id="padartha-nw"></div>
            <div class="mynetwork" id="vakyas-nw"></div>
            <div class="mynetwork" id="sections-nw"></div>
          </div>
          <div id="cluster-opts-div">
              <small>Cluster by:<br></small>
              <button class="cluster-button" id="cluster-by-color">Color</button>
              <button class="cluster-button" id="cluster-by-hubsize">Sections</button>
              <!--button class="cluster-button" id="cluster-by-outliers">OutLiers</button-->
              <button class="cluster-button" id="cluster-by-none">None</button>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col s12">
        <div id="content" class="">
          <div id="content-title" class="center-align"><span id="vakya-content-status">Selection details</span></div>
          <div class="text" id="vakya-content-content">
            <div id="content-wrapper" class="row">
              <div class="col m4" id="content-index">
                <div class="card" id="ci-card">
                  <div class="card-content" id="ci-card-content">
                    <div id="ci-ci-wrapper">
                      <div class="ci-ci-type-wrapper">
                        <p class="showhide" id="sh-nodes">Entities (<span class="selected-count" id="sel-count-nodes"> </span>)</p>
                        <div class="ci-list-div" id="ci-nodes-list-div">
                          <ul class="ci-list" id="ci-nodes-list"></ul>
                        </div>
                      </div>
                      <div class="ci-ci-type-wrapper">
                        <p class="showhide" id="sh-edges">Relations (<span class="selected-count" id="sel-count-edges"> </span>)</p>
                        <div class="ci-list-div" id="ci-edges-list-div">
                          <ul class="ci-list" id="ci-edges-list"></ul>
                        </div>
                      </div>
                    </div>
                    <div id="ci-network"></div>
                  </div>
                </div>
              </div>
              <div id="content-ne" class="col m8">
                <div class="text row" id="vakya-content-nodes"></div>
                <div class="text row" id="vakya-content-edges"></div>
              </div>
              
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container" id="error-report"></div>

  <div id="preloader">
    <div class="preloader-wrapper big active">
      <div class="spinner-layer spinner-blue">
        <div class="circle-clipper left">
          <div class="circle"></div>
        </div><div class="gap-patch">
          <div class="circle"></div>
        </div><div class="circle-clipper right">
          <div class="circle"></div>
        </div>
      </div>

      <div class="spinner-layer spinner-red">
        <div class="circle-clipper left">
          <div class="circle"></div>
        </div><div class="gap-patch">
          <div class="circle"></div>
        </div><div class="circle-clipper right">
          <div class="circle"></div>
        </div>
      </div>

      <div class="spinner-layer spinner-yellow">
        <div class="circle-clipper left">
          <div class="circle"></div>
        </div><div class="gap-patch">
          <div class="circle"></div>
        </div><div class="circle-clipper right">
          <div class="circle"></div>
        </div>
      </div>

      <div class="spinner-layer spinner-green">
        <div class="circle-clipper left">
          <div class="circle"></div>
        </div><div class="gap-patch">
          <div class="circle"></div>
        </div><div class="circle-clipper right">
          <div class="circle"></div>
        </div>
      </div>
    </div>
  </div>
</main>
<script type="text/javascript">
  //$API_URL_PREFIX = 'http://localhost:5000/smaps/v1/'
   ROOT_PREFIX = "http://localhost:5000/";
   ROOT_PREFIX = "https://apps.vedavaapi.org/legacy/api/";
  $API_URL_PREFIX = ROOT_PREFIX + 'smaps/v1/';
  REPO_URL = ROOT_PREFIX + "store/v1/repos"
</script>
<script src="assets/static/js/vis.min.js"></script>
<script src="assets/static/js/jquery.min.js"></script>
<script src="assets/static/js/materialize.min.js"></script>
<script src="assets/static/js/evisnetwork.js"></script>
<script src="assets/static/js/helper.js"></script>
<!--script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/3.0.4/fuse.min.js"></script-->
<script src="assets/static/js/fuse.min.js"></script>
<script src="assets/static/js/script.js"></script>
</body>
</html>
